/* //////////////////////////////////////////////////////////// */

:root {
    --bg: #020617;
    --card: #1e293b;
    --primary: #00b7ff;
    --text: #ffffff;
    --gray: #94a3b8;
    --textarea: #081b33;

    --shadow: 0 10px 30px rgba(0, 0, 0, 0.35);
}


body {
    padding-top: 100px;
}


/* العنوان */
.title {
    text-align: center;
    margin-bottom: 40px;
}

.title h1 {
    font-size: 40px;
    margin-bottom: 10px;
}

.title p {
    color: var(--gray);
}

/* الشبكة */
.contact-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px;
}

/* الفورم */
.form-box,
.info-box {
    background: var(--card);
    padding: 30px;
    border-radius: 18px;
    border: 1px solid rgba(255, 255, 255, 0.05);
}

input,
textarea {
    width: 100%;
    padding: 14px;
    margin-bottom: 15px;

    border: none;
    border-radius: 10px;

    background: var(--textarea);
    color: white;

    outline: none;
}

textarea {
    height: 140px;
    resize: none;
}

button {
    width: 100%;
    padding: 14px;

    background: var(--primary);
    border: none;
    border-radius: 10px;

    color: white;
    font-size: 16px;

    cursor: pointer;

    transition: .3s;
}

button:hover {
    opacity: 0.85;
}

/* معلومات التواصل */
.info-box h2 {
    margin-bottom: 20px;
}

.info-item {
    display: flex;
    align-items: center;
    gap: 10px;

    margin-bottom: 15px;

    color: var(--gray);
}

.info-item i {
    color: var(--primary);
}

/* أيقونات التواصل */
.social {
    display: flex;
    gap: 10px;
    margin-top: 20px;
}

.social a {
    width: 40px;
    height: 40px;

    display: flex;
    align-items: center;
    justify-content: center;

    background: #0b1220;
    border-radius: 50%;

    color: white;
    text-decoration: none;

    transition: .3s;
}

.social a:hover {
    background: var(--primary);
    transform: translateY(-5px);
}

/* ======================================== */


/* responsive */
@media(max-width:800px) {
    .contact-grid {
        grid-template-columns: 1fr;
    }
}